<?php
/**
 * Themes shortcode options go here
 *
 * @package Angle
 * @subpackage Core
 * @since 1.0
 *
 * @copyright (c) 2014 Oxygenna.com
 * @license http://wiki.envato.com/support/legal-terms/licensing-terms/
 * @version 1.18.10
 */

return array(
     array(
        'name'        => esc_html__('Header', 'angle-admin-td'),
        'id'          => 'header',
        'type'        => 'text',
        'default'     => '',
        'desc'        => esc_html__('Header text', 'angle-admin-td'),
        'admin_label' => true,
    ),
    array(
        'name'    => esc_html__('Header Type', 'angle-admin-td'),
        'desc'    => esc_html__('Choose the type of header you want to use', 'angle-admin-td'),
        'id'      => 'header_type',
        'type'    => 'select',
        'options' => array(
            'h1'      => esc_html__('h1', 'angle-admin-td'),
            'h2'      => esc_html__('h2', 'angle-admin-td'),
            'h3'      => esc_html__('h3', 'angle-admin-td'),
            'h4'      => esc_html__('h4', 'angle-admin-td'),
            'h5'      => esc_html__('h5', 'angle-admin-td'),
            'h6'      => esc_html__('h6', 'angle-admin-td')
        ),
        'default' => 'h1',
    ),
    array(
        'name'    => esc_html__('Header Font Size', 'angle-admin-td'),
        'desc'    => esc_html__('Choose size of the font to use in your header', 'angle-admin-td'),
        'id'      => 'header_size',
        'type'    => 'select',
        'options' => array(
            'normal' => esc_html__('Normal', 'angle-admin-td'),
            'super'  => esc_html__('Super (60px)', 'angle-admin-td'),
            'hyper'  => esc_html__('Hyper (96px)', 'angle-admin-td'),
        ),
        'default' => 'normal',
    ),
    array(
        'name'    => esc_html__('Header Font Weight', 'angle-admin-td'),
        'desc'    => esc_html__('Choose weight of the font to use in the header', 'angle-admin-td'),
        'id'      => 'header_weight',
        'type'    => 'select',
        'options' => array(
            'regular'  => esc_html__('Regular', 'angle-admin-td'),
            'black'    => esc_html__('Black', 'angle-admin-td'),
            'bold'     => esc_html__('Bold', 'angle-admin-td'),
            'light'    => esc_html__('Light', 'angle-admin-td'),
            'hairline' => esc_html__('Hairline', 'angle-admin-td'),
        ),
        'default' => 'regular',
    ),
    array(
        'name' => esc_html__('Header Alignment', 'angle-admin-td'),
        'desc' => esc_html__('Align the text shown in the header left, right or center.', 'angle-admin-td'),
        'id'   => 'header_align',
        'type' => 'select',
        'default' => 'center',
        'options' => array(
            'center' => esc_html__('Center', 'angle-admin-td'),
            'left'   => esc_html__('Left', 'angle-admin-td'),
            'right'  => esc_html__('Right', 'angle-admin-td'),
            'justify'  => esc_html__('Justify', 'angle-admin-td')
        )
    ),
    array(
        'name'    => esc_html__('Header Underline', 'angle-admin-td'),
        'desc'    => esc_html__('Adds an underline effect below the header.', 'angle-admin-td'),
        'id'      => 'header_underline',
        'default' => 'bordered-header',
        'type' => 'radio',
        'options' => array(
            'bordered-header' => esc_html__('Show', 'angle-admin-td'),
            'no-bordered-header' => esc_html__('Hide', 'angle-admin-td'),
        )
    )
);