<?php
/**
 * Sets up all theme shortcode options
 *
 * @package Angle
 * @subpackage Frontend
 * @since 0.1
 *
 * @copyright (c) 2014 Oxygenna.com
 * @license **LICENSE**
 * @version 1.18.10
 */
$heading_options = include OXY_THEME_DIR . 'inc/options/global-options/header-options.php';
$heading_options[0]['name'] = esc_html__('Heading', 'angle-admin-td');
$heading_options[0]['id'] = 'content';

return array(
    // SECTION
    'vc_row' => array(
        'shortcode'     => 'vc_row',
        'title'         => esc_html__('Row', 'angle-admin-td'),
        'desc'          => esc_html__('A Horizontal section to add content to.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => true,
        'sections'      => array(
            array(
                'title' => esc_html__('Row Header', 'angle-admin-td'),
                'fields' => include OXY_THEME_DIR . 'inc/options/global-options/section-header-text.php',
            ),
            include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-section-options.php',
            array(
                'title' => esc_html__('Row Background', 'angle-admin-td'),
                'fields' => include OXY_THEME_DIR . 'inc/options/global-options/section-background-image.php'
            )
        )
    ),
    'vc_row_inner' => array(
        'shortcode'     => 'vc_row_inner',
        'title'         => esc_html__('Row Inner', 'angle-admin-td'),
        'desc'          => esc_html__('A Nested Horizontal section to add content to.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => true,
        'sections'      => array(
            array(
                'title' => esc_html__('General', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Extra Classes', 'angle-admin-td'),
                        'desc'    => esc_html__('Add any extra classes you need to add to this column. ( space separated )', 'angle-admin-td'),
                        'id'      => 'extra_classes',
                        'default'     =>  '',
                        'type'        => 'text',
                    ),
                )
            )
        )
    ),
    // SECTION
    'vc_column' => array(
        'shortcode'     => 'vc_column',
        'title'         => esc_html__('Column', 'angle-admin-td'),
        'desc'          => esc_html__('Column shortcode for use inside a row.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => true,
        'sections'      => array(
            array(
                'title' => esc_html__('General', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Column Alignment', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'default',
                        'options' => array(
                            'Default' => esc_html__('Default (no class)', 'angle-admin-td'),
                            'left'    => esc_html__('Left', 'angle-admin-td'),
                            'center'  => esc_html__('Center', 'angle-admin-td'),
                            'right'   => esc_html__('Right', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Sets the alignment items in the column.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Extra Classes', 'angle-admin-td'),
                        'desc'    => esc_html__('Add any extra classes you need to add to this column. ( space separated )', 'angle-admin-td'),
                        'id'      => 'extra_classes',
                        'default'     =>  '',
                        'type'        => 'text',
                    ),
                )
            ),
            array(
                'title' => esc_html__('On Scroll Animation', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      =>  esc_html__('On Scroll Animation', 'angle-admin-td'),
                        'id'        => 'os_animation_enabled',
                        'type'      => 'select',
                        'options'   =>  array(
                            'on'  => esc_html__('Enabled', 'angle-admin-td'),
                            'off' => esc_html__('Disabled', 'angle-admin-td'),
                        ),
                        'default'   => 'off',
                    ),
                    array(
                        'name'      => esc_html__('Animation Delay', 'angle-admin-td'),
                        'desc'      => esc_html__('Set the speed of animations', 'angle-admin-td'),
                        'id'        => 'os_animation_delay',
                        'type'      => 'slider',
                        'default'   => '0.1',
                        'attr'      => array(
                            'max'       => 4.0,
                            'min'       => 0.1,
                            'step'      => 0.1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Animation Effect', 'angle-admin-td'),
                        'desc'    => esc_html__('Set the effect of the animation', 'angle-admin-td'),
                        'id'      => 'os_animation',
                        'type'    => 'select',
                        'default' => 'bounce',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                )
            )
        )
    ),
    'heading' => array(
        'shortcode'     => 'heading',
        'title'         => esc_html__('Heading', 'angle-admin-td'),
        'desc'          => esc_html__('Creates a heading tag H1-H6', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => true,
        'sections'      => array(
            array(
                'title' => esc_html__('Header', 'angle-admin-td'),
                'fields' => $heading_options
            ),
        )
    ),
    'services' =>array(
        'shortcode'     => 'services',
        'title'         => esc_html__('Services', 'angle-admin-td'),
        'desc'          => esc_html__('Displays a horizontal / vertical list of services.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Services', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Choose a category', 'angle-admin-td'),
                        'desc'    => esc_html__('Category of services to show', 'angle-admin-td'),
                        'id'      => 'category',
                        'default' =>  '',
                        'admin_label' => true,
                        'type'    => 'select',
                        'options' => 'taxonomy',
                        'taxonomy' => 'oxy_service_category',
                        'blank_label' => esc_html__('All Categories', 'angle-admin-td')
                    ),
                    array(
                        'name'    => esc_html__('Services Count', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of services to show(set to 0 to show all)', 'angle-admin-td'),
                        'id'      => 'count',
                        'type'    => 'slider',
                        'default' => '3',
                        'admin_label' => true,
                        'attr'    => array(
                            'max'  => 100,
                            'min'  => 0,
                            'step' => 1
                        )
                    ),
                    array(
                        'name'      => esc_html__('Service Style', 'angle-admin-td'),
                        'id'        => 'style',
                        'type'      => 'select',
                        'default'   =>  'horizontal',
                        'admin_label' => true,
                        'options' => array(
                            'horizontal' => esc_html__('Horizontal', 'angle-admin-td'),
                            'vertical' => esc_html__('Vertical', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Services will be shown horizontallly or vertically on the page.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Columns (horizontal style)', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of columns to show the services in', 'angle-admin-td'),
                        'id'      => 'columns',
                        'type'    => 'select',
                        'options' => array(
                            2 => esc_html__('Two columns', 'angle-admin-td'),
                            3 => esc_html__('Three columns', 'angle-admin-td'),
                            4 => esc_html__('Four columns', 'angle-admin-td'),
                            6 => esc_html__('Six columns', 'angle-admin-td'),
                        ),
                        'default' => '3',
                    ),
                    array(
                        'name'      =>  esc_html__('Image Shape', 'angle-admin-td'),
                        'id'        => 'image_shape',
                        'type'      => 'select',
                        'admin_label' => true,
                        'options'   =>  array(
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        ),
                        'default'   => 'round',
                    ),
                    array(
                        'name'      =>  esc_html__('Shape Size', 'angle-admin-td'),
                        'id'        => 'image_size',
                        'type'      => 'select',
                        'options'   =>  array(
                            'big'    => esc_html__('Big', 'angle-admin-td'),
                            'huge'   => esc_html__('Huge', 'angle-admin-td'),
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'medium' => esc_html__('Medium', 'angle-admin-td'),
                            'small'  => esc_html__('Small', 'angle-admin-td'),
                        ),
                        'default'   => 'big',
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'id'        => 'image_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'hide',
                    ),
                    array(
                        'name'      => esc_html__('Show Connections', 'angle-admin-td'),
                        'id'        => 'connected',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Services will be connected with a dotted line.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Show Titles', 'angle-admin-td'),
                        'id'        => 'show_titles',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Link Title', 'angle-admin-td'),
                        'id'        => 'link_titles',
                        'type'      => 'select',
                        'default'   =>  'on',
                        'options' => array(
                            'on'  => esc_html__('On', 'angle-admin-td'),
                            'off' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Image', 'angle-admin-td'),
                        'id'        => 'show_images',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show'  => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Link Image', 'angle-admin-td'),
                        'id'        => 'link_images',
                        'type'      => 'select',
                        'default'   =>  'on',
                        'options' => array(
                            'on'  => esc_html__('On', 'angle-admin-td'),
                            'off' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Excerpt', 'angle-admin-td'),
                        'id'        => 'show_excerpts',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Excerpt & More Text Alignment', 'angle-admin-td'),
                        'id'        => 'align_excerpts',
                        'type'      => 'select',
                        'default'   => 'center',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the excerpt text and the read more link.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Show Readmore Link', 'angle-admin-td'),
                        'id'        => 'show_readmores',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Readmore Link Text', 'angle-admin-td'),
                        'id'      => 'readmore_text',
                        'type'    => 'text',
                        'default' => 'Read more',
                        'desc'    => esc_html__('Customize your readmore link', 'angle-admin-td'),
                    ),
                    array(
                        'name'        => esc_html__('Order by', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose the way service items will be ordered.', 'angle-admin-td'),
                        'id'          => 'orderby',
                        'type'        => 'select',
                        'default'     =>  'none',
                        'options'     => array(
                            'none'        => esc_html__('None', 'angle-admin-td'),
                            'title'       => esc_html__('Title', 'angle-admin-td'),
                            'date'        => esc_html__('Date', 'angle-admin-td'),
                            'ID'          => esc_html__('ID', 'angle-admin-td'),
                            'author'      => esc_html__('Author', 'angle-admin-td'),
                            'modified'    => esc_html__('Last Modified', 'angle-admin-td'),
                            'menu_order'  => esc_html__('Menu Order', 'angle-admin-td'),
                            'rand'        => esc_html__('Random', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'        => esc_html__('Order', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose how services will be ordered.', 'angle-admin-td'),
                        'id'          => 'order',
                        'type'        => 'select',
                        'default'     =>  'ASC',
                        'options'     => array(
                            'ASC'     => esc_html__('Ascending', 'angle-admin-td'),
                            'DESC'    => esc_html__('Descending', 'angle-admin-td'),
                        )
                    )
                )
            ),
        )
    ),
     // TESTIMONIALS SHORTCODE SECTION
    'testimonials' => array(
        'shortcode' => 'testimonials',
        'title'     => esc_html__('Testimonials', 'angle-admin-td'),
        'desc'      => esc_html__('Displays a list / slideshow of testimonials.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'has_content'   => false,
        'sections'   => array(
            array(
                'title' => esc_html__('Testimonials', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Choose a group', 'angle-admin-td'),
                        'desc'    => esc_html__('Group of testimonials to show', 'angle-admin-td'),
                        'id'      => 'group',
                        'default' =>  '',
                        'type'    => 'select',
                        'admin_label' => true,
                        'admin_label' => true,
                        'options' => 'taxonomy',
                        'taxonomy' => 'oxy_testimonial_group',
                        'blank_label' => esc_html__('All Testimonials', 'angle-admin-td')
                    ),
                    array(
                        'name'    => esc_html__('Number Of Testimonials', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of Testimonials to display(set to 0 to show all)', 'angle-admin-td'),
                        'id'      => 'count',
                        'type'    => 'slider',
                        'admin_label' => true,
                        'default' => '3',
                        'attr'    => array(
                            'max'   => 10,
                            'min'   => 0,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Show avatars', 'angle-admin-td'),
                        'desc'    => esc_html__('Display the featured image as avatar', 'angle-admin-td'),
                        'id'      => 'show_image',
                        'type'    => 'select',
                        'default' => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Display as Slideshow', 'angle-admin-td'),
                        'desc'    => esc_html__('Display the testimonials as a slideshow', 'angle-admin-td'),
                        'id'      => 'slideshow',
                        'type'    => 'select',
                        'default' => 'on',
                        'options' => array(
                            'on'   => esc_html__('On', 'angle-admin-td'),
                            'off'  => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Speed', 'angle-admin-td'),
                        'desc'      => esc_html__('Set the speed of the slideshow cycling, in milliseconds', 'angle-admin-td'),
                        'id'        => 'speed',
                        'type'      => 'slider',
                        'default'   => '7000',
                        'attr'      => array(
                            'max'       => 15000,
                            'min'       => 2000,
                            'step'      => 1000
                        )
                    ),
                    array(
                        'name'    => esc_html__('Randomize', 'angle-admin-td'),
                        'desc'    => esc_html__('Randomize the ordering of the testimonials', 'angle-admin-td'),
                        'id'      => 'randomize',
                        'type'    => 'select',
                        'default' => 'off',
                        'options' => array(
                            'on'   => esc_html__('On', 'angle-admin-td'),
                            'off'  => esc_html__('Off', 'angle-admin-td'),
                        ),
                    )
                )
            ),
        )
    ),
     /* Staff Shortcodes */
    'staff_list' =>  array(
        'shortcode'     => 'staff_list',
        'title'         => esc_html__('Staff List', 'angle-admin-td'),
        'desc'          => esc_html__('Displays a list of staff members in columns.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Staff members list', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Choose a department', 'angle-admin-td'),
                        'desc'    => esc_html__('Populate your list from a department', 'angle-admin-td'),
                        'id'      => 'department',
                        'default' =>  '',
                        'type'    => 'select',
                        'admin_label' => true,
                        'options' => 'taxonomy',
                        'taxonomy' => 'oxy_staff_department',
                        'blank_label' => esc_html__('Select a department', 'angle-admin-td')
                    ),
                    array(
                        'name'    => esc_html__('Number Of members', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of members to display(set to 0 to show all)', 'angle-admin-td'),
                        'id'      => 'count',
                        'type'    => 'slider',
                        'admin_label' => true,
                        'default' => '3',
                        'attr'    => array(
                            'max'  => 100,
                            'min'  => 0,
                            'step' => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('List Columns', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of columns to show staff in', 'angle-admin-td'),
                        'id'      => 'columns',
                        'type'    => 'select',
                        'admin_label' => true,
                        'options' => array(
                            2 => esc_html__('Two columns', 'angle-admin-td'),
                            3 => esc_html__('Three columns', 'angle-admin-td'),
                            4 => esc_html__('Four columns', 'angle-admin-td'),
                            6 => esc_html__('Six columns', 'angle-admin-td'),
                        ),
                        'default' => '3',
                    ),
                    array(
                        'name'      =>  esc_html__('Image Shape', 'angle-admin-td'),
                        'id'        => 'image_shape',
                        'type'      => 'select',
                        'admin_label' => true,
                        'options'   =>  array(
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        ),
                        'default'   => 'round',
                    ),
                    array(
                        'name'      =>  esc_html__('Shape Size', 'angle-admin-td'),
                        'id'        => 'image_size',
                        'type'      => 'select',
                        'options'   =>  array(
                            'big'    => esc_html__('Big', 'angle-admin-td'),
                            'huge'   => esc_html__('Huge', 'angle-admin-td'),
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'medium' => esc_html__('Medium', 'angle-admin-td'),
                            'small'  => esc_html__('Small', 'angle-admin-td'),
                        ),
                        'default'   => 'big',
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'id'        => 'image_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'hide',
                    ),
                    array(
                        'name'    => esc_html__('Link in name', 'angle-admin-td'),
                        'desc'    => esc_html__('Make the name link to the url specified in staff page', 'angle-admin-td'),
                        'id'      => 'link_name',
                        'type'    => 'select',
                        'default' => 'on',
                        'options' => array(
                            'on'  => esc_html__('On', 'angle-admin-td'),
                            'off' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Show Position', 'angle-admin-td'),
                        'desc'    => esc_html__('Display the staff position below the name', 'angle-admin-td'),
                        'id'      => 'show_name',
                        'type'    => 'select',
                        'default' => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Excerpt', 'angle-admin-td'),
                        'id'        => 'show_excerpts',
                        'type'      => 'select',
                        'default'   => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Excerpt & More Text Alignment', 'angle-admin-td'),
                        'id'        => 'align_excerpts',
                        'type'      => 'select',
                        'default'   => 'center',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the excerpt text and the read more link.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Show Social Links', 'angle-admin-td'),
                        'id'        => 'show_social',
                        'type'      => 'select',
                        'default'   => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Open Social Links In', 'angle-admin-td'),
                        'id'      => 'link_target',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                            '_parent' => esc_html__('Open the linked document in the parent frameset', 'angle-admin-td'),
                            '_top'    => esc_html__('Open the linked document in the full body of the window', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Where the social links open to', 'angle-admin-td'),
                    ),
                    array(
                        'name'        => esc_html__('Order by', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose the way staff items will be ordered.', 'angle-admin-td'),
                        'id'          => 'orderby',
                        'type'        => 'select',
                        'default'     =>  'none',
                        'options'     => array(
                            'none'        => esc_html__('None', 'angle-admin-td'),
                            'title'       => esc_html__('Title', 'angle-admin-td'),
                            'date'        => esc_html__('Date', 'angle-admin-td'),
                            'ID'          => esc_html__('ID', 'angle-admin-td'),
                            'author'      => esc_html__('Author', 'angle-admin-td'),
                            'modified'    => esc_html__('Last Modified', 'angle-admin-td'),
                            'menu_order'  => esc_html__('Menu Order', 'angle-admin-td'),
                            'rand'        => esc_html__('Random', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'        => esc_html__('Order', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose how staff will be ordered.', 'angle-admin-td'),
                        'id'          => 'order',
                        'type'        => 'select',
                        'default'     =>  'ASC',
                        'options'     => array(
                            'ASC'     => esc_html__('Ascending', 'angle-admin-td'),
                            'DESC'    => esc_html__('Descending', 'angle-admin-td'),
                        )
                    )
                )
            ),
        ),
    ),
    'staff_featured' => array(
        'shortcode'     => 'staff_featured',
        'title'         => esc_html__('Featured Staff', 'angle-admin-td'),
        'desc'          => esc_html__('Displays a featured section about one member of staff.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Staff', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Featured member', 'angle-admin-td'),
                        'desc'    => esc_html__('Select the staff member that will be featured', 'angle-admin-td'),
                        'id'      => 'member',
                        'default' =>  '',
                        'type'    => 'select',
                        'options' => 'staff_featured',
                    ),
                    array(
                        'name'      =>  esc_html__('Image Shape', 'angle-admin-td'),
                        'id'        => 'image_shape',
                        'type'      => 'select',
                        'admin_label' => true,
                        'options'   =>  array(
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        ),
                        'default'   => 'round',
                    ),
                    array(
                        'name'      =>  esc_html__('Image Size', 'angle-admin-td'),
                        'id'        => 'image_size',
                        'type'      => 'select',
                        'options'   =>  array(
                            'big'    => esc_html__('Big', 'angle-admin-td'),
                            'huge'   => esc_html__('Huge', 'angle-admin-td'),
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'medium' => esc_html__('Medium', 'angle-admin-td'),
                            'small'  => esc_html__('Small', 'angle-admin-td'),
                        ),
                        'default'   => 'big',
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'id'        => 'image_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'hide',
                    ),
                    array(
                        'name'    => esc_html__('Show Position', 'angle-admin-td'),
                        'desc'    => esc_html__('Display the staff position below the name', 'angle-admin-td'),
                        'id'      => 'show_position',
                        'type'    => 'select',
                        'default' => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Content', 'angle-admin-td'),
                        'id'        => 'show_content',
                        'type'      => 'select',
                        'default'   => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Content Font Size', 'angle-admin-td'),
                        'id'        => 'content_size',
                        'type'      => 'select',
                        'default'   => 'big',
                        'options' => array(
                            'big'   => esc_html__('Big', 'angle-admin-td'),
                            'small' => esc_html__('Small', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Content Alignment', 'angle-admin-td'),
                        'id'        => 'align_content',
                        'type'      => 'select',
                        'default'   => 'center',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the excerpt text and the read more link.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Show Social Links', 'angle-admin-td'),
                        'id'        => 'show_social',
                        'type'      => 'select',
                        'default'   => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Open Social Links In', 'angle-admin-td'),
                        'id'      => 'link_target',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                            '_parent' => esc_html__('Open the linked document in the parent frameset', 'angle-admin-td'),
                            '_top'    => esc_html__('Open the linked document in the full body of the window', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Where the social links open to', 'angle-admin-td'),
                    ),
                )
            ),
        )
    ),
    // PORTFOLIO SHORTCODE OPTIONS
    'portfolio' => array(
        'shortcode'     => 'portfolio',
        'title'         => esc_html__('Portfolio', 'angle-admin-td'),
        'desc'          => esc_html__('Displays a set of portfolio items in columns.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Portfolio', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Category', 'angle-admin-td'),
                        'desc'    => esc_html__('Categories to show (leave blank to show all)', 'angle-admin-td'),
                        'id'      => 'categories',
                        'default' =>  '',
                        'type'    => 'select',
                        'options' => 'taxonomy',
                        'taxonomy' => 'oxy_portfolio_categories',
                        'admin_label' => true,
                        'attr' => array(
                            'multiple' => '',
                            'style' => 'height:100px'
                        )
                    ),
                    array(
                        'name'    => esc_html__('Number of portfolio items to display  (per page if pagination is on )', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of portfolio items to display(per page)', 'angle-admin-td'),
                        'id'      => 'count',
                        'type'    => 'slider',
                        'default' => '3',
                        'admin_label' => true,
                        'attr'    => array(
                            'max'   => 24,
                            'min'   => 1,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Portfolio Columns', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of columns to show the portfolio in', 'angle-admin-td'),
                        'id'      => 'columns',
                        'type'    => 'slider',
                        'default' => '3',
                        'admin_label' => true,
                        'attr'    => array(
                            'max'   => 4,
                            'min'   => 2,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'      => esc_html__('Use pagination', 'angle-admin-td'),
                        'desc'      => esc_html__('Split your portfolio items in pages', 'angle-admin-td'),
                        'id'        => 'pagination',
                        'type'      => 'select',
                        'default'   => 'off',
                        'options' => array(
                            'off'       => esc_html__('Off', 'angle-admin-td'),
                            'simple'    => esc_html__('Simple', 'angle-admin-td'),
                            'infinite'  => esc_html__('Infinite', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Shape', 'angle-admin-td'),
                        'desc'      => esc_html__('Choose the portfolio image shape', 'angle-admin-td'),
                        'id'        => 'shape',
                        'type'      => 'select',
                        'default'   => 'round',
                        'admin_label' => true,
                        'options' => array(
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'id'        => 'show_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'show',
                    ),
                    array(
                        'name'    => esc_html__('Show Title', 'angle-admin-td'),
                        'desc'    => esc_html__('Display the portfolio title', 'angle-admin-td'),
                        'id'      => 'show_title',
                        'type'    => 'select',
                        'default' => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Excerpt', 'angle-admin-td'),
                        'desc'      => esc_html__('Display the portfolio excerpt', 'angle-admin-td'),
                        'id'        => 'show_excerpt',
                        'type'      => 'select',
                        'default'   => 'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      =>  esc_html__('Overlay', 'angle-admin-td'),
                        'desc'      => esc_html__('Show overlay on hover', 'angle-admin-td'),
                        'id'        => 'show_overlay',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'show',
                    ),
                    array(
                        'name'      =>  esc_html__('Magnific on hidden overlay', 'angle-admin-td'),
                        'desc'      => esc_html__('Open portfolio links in Magnific popup when overlay is hidden', 'angle-admin-td'),
                        'id'        => 'show_magnific',
                        'type'      => 'select',
                        'options'   =>  array(
                            'show'   => esc_html__('Show', 'angle-admin-td'),
                            'hide'   => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'default'   => 'show',
                    ),
                    array(
                        'name'    => esc_html__('Magnific Overlay Link Type', 'angle-admin-td'),
                        'desc'    => esc_html__('Select the magnific link type to use for the item.', 'angle-admin-td'),
                        'id'      => 'magnific_link_type',
                        'type'    => 'select',
                        'default' => 'magnific',
                        'options' => array(
                            'magnific'      => esc_html__('Magnific Single Item', 'angle-admin-td'),
                            'magnific-all'  => esc_html__('Magnific All Items', 'angle-admin-td')
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Magnific Popup Captions', 'angle-admin-td'),
                        'id'        => 'magnific_caption',
                        'type'      => 'select',
                        'default'   => 'post_title_caption',
                        'options' => array(
                            'image_caption'         => esc_html__('Media Image Caption', 'angle-admin-td'),
                            'post_title_caption'    => esc_html__('Post Title', 'angle-admin-td'),
                            'off'                   => esc_html__('No Captions', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('What the caption below the magnific popup image will be.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Portfolio Filters', 'angle-admin-td'),
                        'desc'    => esc_html__('Show filter navigation', 'angle-admin-td'),
                        'id'      => 'show_filters',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options'  => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                            )
                    ),
                    array(
                        'name'        => esc_html__('Order by', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose the way portfolio items will be ordered.', 'angle-admin-td'),
                        'id'          => 'orderby',
                        'type'        => 'select',
                        'default'     =>  'none',
                        'options'     => array(
                            'none'        => esc_html__('None', 'angle-admin-td'),
                            'title'       => esc_html__('Title', 'angle-admin-td'),
                            'date'        => esc_html__('Date', 'angle-admin-td'),
                            'ID'          => esc_html__('ID', 'angle-admin-td'),
                            'author'      => esc_html__('Author', 'angle-admin-td'),
                            'modified'    => esc_html__('Last Modified', 'angle-admin-td'),
                            'menu_order'  => esc_html__('Menu Order', 'angle-admin-td'),
                            'rand'        => esc_html__('Random', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'        => esc_html__('Order', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose how portfolio will be ordered.', 'angle-admin-td'),
                        'id'          => 'order',
                        'type'        => 'select',
                        'default'     =>  'ASC',
                        'options'     => array(
                            'ASC'     => esc_html__('Ascending', 'angle-admin-td'),
                            'DESC'    => esc_html__('Descending', 'angle-admin-td'),
                        )
                    )
                )
            ),
        )
    ),
     'recent_posts' => array(
        'shortcode' => 'recent_posts',
        'title'     => esc_html__('Recent Posts', 'angle-admin-td'),
        'desc'       => esc_html__('Displays a list of recent posts.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'has_content'   => false,
        'sections'   => array(
            array(
                'title' => esc_html__('Recent Posts', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'        => esc_html__('Layout', 'angle-admin-td'),
                        'desc'        => esc_html__('Section Layout', 'angle-admin-td'),
                        'id'          => 'layout',
                        'type'        => 'select',
                        'default'     => 'simple',
                        'admin_label' => true,
                        'options'     => array(
                            'simple'    => esc_html__('Simple', 'angle-admin-td'),
                            'slideshow' => esc_html__('Slideshow', 'angle-admin-td'),
                            'masonry'   => esc_html__('Masonry', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'        => esc_html__('Pagination', 'angle-admin-td'),
                        'desc'        => esc_html__('Toggle Pagination on/off', 'angle-admin-td'),
                        'id'          => 'pagination',
                        'type'        => 'select',
                        'default'     => 'on',
                        'admin_label' => true,
                        'options'     => array(
                            'on'    => esc_html__('On', 'angle-admin-td'),
                            'off'   => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Number of posts per page', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of posts to display per page ( if pagination is on ) or total number of posts ( if pagination is off/slideshow )', 'angle-admin-td'),
                        'id'      => 'count',
                        'type'    => 'slider',
                        'default' => '3',
                        'attr'    => array(
                            'max'   => 10,
                            'min'   => 1,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Post category', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose posts from a specific category', 'angle-admin-td'),
                        'id'      => 'cat',
                        'default' =>  '',
                        'type'    => 'select',
                        'options' => 'categories',
                        'attr' => array(
                            'multiple' => '',
                            'style' => 'height:100px'
                        )
                    ),
                    array(
                        'name'    => esc_html__('Post Swatch', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose a color swatch for the posts', 'angle-admin-td'),
                        'id'      => 'post_swatch',
                        'type'    => 'select',
                        'default' => 'swatch-red-white',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-swatches-options.php'
                    ),
                    array(
                        'name'    => esc_html__('Columns', 'angle-admin-td'),
                        'desc'    => esc_html__('Number of columns to show posts in', 'angle-admin-td'),
                        'id'      => 'columns',
                        'type'    => 'select',
                        'default' => '3',
                        'options' => array(
                            '1' => esc_html__('1 Column', 'angle-admin-td'),
                            '2' => esc_html__('2 Columns', 'angle-admin-td'),
                            '3' => esc_html__('3 Columns', 'angle-admin-td'),
                            '4' => esc_html__('4 Columns', 'angle-admin-td'),
                        ),
                    ),
                     array(
                        'name'      => esc_html__('Use infinite Scroll in Masonry', 'angle-admin-td'),
                        'desc'    => esc_html__('pagination is not displayed in masonry if infinite scrolling is on', 'angle-admin-td'),
                        'id'        => 'infinite_scroll',
                        'type'      => 'select',
                        'default'   => 'on',
                        'options' => array(
                            'on'  => esc_html__('On', 'angle-admin-td'),
                            'off' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                )
            ),
        )
    ),
    // MAP SHORTCODE OPTIONS
    'map' => array(
        'shortcode'     => 'map',
        'title'         => esc_html__('Google Map', 'angle-admin-td'),
        'desc'          => esc_html__('Adds a Google Map to the page.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Map', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Map Type', 'angle-admin-td'),
                        'id'        => 'map_type',
                        'type'      => 'select',
                        'default'   =>  'ROADMAP',
                        'options' => array(
                            'ROADMAP'   => esc_html__('Roadmap', 'angle-admin-td'),
                            'SATELLITE' => esc_html__('Satellite', 'angle-admin-td'),
                            'TERRAIN'   => esc_html__('Terrain', 'angle-admin-td'),
                            'HYBRID'    => esc_html__('Hybrid', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Map Zoom', 'angle-admin-td'),
                        'id'        => 'map_zoom',
                        'type'      => 'slider',
                        'default' => '15',
                        'attr'    => array(
                            'max'   => 20,
                            'min'   => 1,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'      => esc_html__('Mouse Wheel Scrolling', 'angle-admin-td'),
                        'id'        => 'map_scroll',
                        'type'      => 'select',
                        'default'   => 'off',
                        'options' => array(
                            'off' => esc_html__('Off', 'angle-admin-td'),
                            'on'  => esc_html__('On', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Draggable', 'angle-admin-td'),
                        'id'        => 'map_draggable',
                        'type'      => 'select',
                        'default'   => 'off',
                        'options' => array(
                            'off' => esc_html__('Off', 'angle-admin-td'),
                            'on'  => esc_html__('On', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Map Style', 'angle-admin-td'),
                        'id'        => 'map_style',
                        'type'      => 'select',
                        'default'   =>  'flat',
                        'options' => array(
                            'flat'    => esc_html__('Flat', 'angle-admin-td'),
                            'regular' => esc_html__('Regular', 'angle-admin-td'),
                        ),
                    ),
                )
            ),
            array(
                'title' => esc_html__('Marker', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Show Marker', 'angle-admin-td'),
                        'id'        => 'marker',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                            'show' => esc_html__('Show', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Marker Address', 'angle-admin-td'),
                        'desc'    => esc_html__('Address to show marker', 'angle-admin-td'),
                        'id'      => 'address',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Marker Latitude', 'angle-admin-td'),
                        'desc'    => esc_html__('Latitude of marker (if you dont want to use address)', 'angle-admin-td'),
                        'id'      => 'lat',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Marker Longitude', 'angle-admin-td'),
                        'desc'    => esc_html__('Longitude of marker (if you dont want to use address)', 'angle-admin-td'),
                        'id'      => 'lng',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Marker Label', 'angle-admin-td'),
                        'desc'    => esc_html__('Label to show above the marker', 'angle-admin-td'),
                        'id'      => 'label',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                )
            ),
            array(
                'title' => esc_html__('Section', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Map Section Height', 'angle-admin-td'),
                        'id'        => 'height',
                        'type'      => 'slider',
                        'default' => '500',
                        'attr'    => array(
                            'max'   => 800,
                            'min'   => 50,
                            'step'  => 1
                        )
                    ),
                )
            )
        )
    ),
    // PIECHART SHORTCODE
    'pie' => array(
        'shortcode' => 'pie',
        'title'     => esc_html__('Pie Chart', 'angle-admin-td'),
        'desc'      => esc_html__('Creates a circular chart to show a % value.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'has_content'   => false,
        'sections'   => array(
            array(
                'title' => esc_html__('Pie Chart', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Track Colour', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the chart track colour', 'angle-admin-td'),
                        'id'      => 'track_colour',
                        'default' =>  '',
                        'type'    => 'colour',
                    ),
                    array(
                        'name'    => esc_html__('Bar Colour', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the chart bar colour', 'angle-admin-td'),
                        'id'      => 'bar_colour',
                        'default' =>  '',
                        'type'    => 'colour',
                    ),
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose a chart icon', 'angle-admin-td'),
                        'id'      => 'icon',
                        'default' =>  '',
                        'type'    => 'select',
                        'options' => 'icons',
                    ),
                    array(
                        'name'    => esc_html__('Icon Animation', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose an icon animation', 'angle-admin-td'),
                        'id'      => 'icon_animation',
                        'type'    => 'select',
                        'default' => 'none',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                    array(
                        'name'    => esc_html__('Percentage', 'angle-admin-td'),
                        'desc'    => esc_html__('Percentage of the pie chart', 'angle-admin-td'),
                        'id'      => 'percentage',
                        'admin_label' => true,
                        'type'    => 'slider',
                        'default' => '50',
                        'attr'    => array(
                            'max'   => 100,
                            'min'   => 1,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Size', 'angle-admin-td'),
                        'desc'    => esc_html__('Set the size of the chart', 'angle-admin-td'),
                        'id'      => 'size',
                        'type'    => 'slider',
                        'default' => '200',
                        'attr'    => array(
                            'max'   => 400,
                            'min'   => 50,
                            'step'  => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Line Width', 'angle-admin-td'),
                        'desc'    => esc_html__('Set the width of the charts line', 'angle-admin-td'),
                        'id'      => 'line_width',
                        'type'    => 'slider',
                        'default' => '20',
                        'attr'    => array(
                            'max'   => 30,
                            'min'   => 5,
                            'step'  => 1
                        )
                    ),
                )
            ),
        )
    ),
     // COUNTER SHORTCODE
    'counter' => array(
        'shortcode' => 'counter',
        'title'     => esc_html__('Counter', 'angle-admin-td'),
        'desc'      => esc_html__('Creates a circular counter to show an integer value.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'has_content'   => false,
        'sections'   => array(
            array(
                'title' => esc_html__('Counter', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Value', 'angle-admin-td'),
                        'desc'    => esc_html__('Value of the circular counter', 'angle-admin-td'),
                        'id'      => 'value',
                        'admin_label' => true,
                        'default'     =>  '',
                        'type'        => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Counter Font Size', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the size of the font to use in the counter', 'angle-admin-td'),
                        'id'      => 'counter_size',
                        'type'    => 'select',
                        'options' => array(
                            'normal'      => esc_html__('Normal', 'angle-admin-td'),
                            'super' => esc_html__('Super (60px)', 'angle-admin-td'),
                            'hyper' => esc_html__('Hyper (96px)', 'angle-admin-td'),
                        ),
                        'default' => 'normal',
                    ),
                    array(
                        'name'    => esc_html__('Counter Font Weight', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the weight of the font to use in the counter', 'angle-admin-td'),
                        'id'      => 'counter_weight',
                        'type'    => 'select',
                        'options' => array(
                            'regular'  => esc_html__('Regular', 'angle-admin-td'),
                            'black'    => esc_html__('Black', 'angle-admin-td'),
                            'bold'     => esc_html__('Bold', 'angle-admin-td'),
                            'light'    => esc_html__('Light', 'angle-admin-td'),
                            'hairline' => esc_html__('Hairline', 'angle-admin-td'),
                        ),
                        'default' => 'regular',
                    ),
                    array(
                        'name'    => esc_html__('Underline', 'angle-admin-td'),
                        'desc'    => esc_html__('Underline the number.', 'angle-admin-td'),
                        'id'      => 'underline',
                        'type'    => 'select',
                        'options' => array(
                            'underline'    => esc_html__('Underline', 'angle-admin-td'),
                            'no-underline' => esc_html__('No Underline', 'angle-admin-td')
                        ),
                        'default' => 'underline',
                    ),
                )
            ),
        )
    ),
    'pricing' => array(
        'title'       => esc_html__('Pricing Column', 'angle-admin-td'),
        'desc'        => esc_html__('Displays a price info column.', 'angle-admin-td'),
        'shortcode'   => 'pricing',
        'insert_with' => 'dialog',
        'has_content' => false,
        'sections'   => array(
            array(
                'title' => esc_html__('Pricing Table', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'        => esc_html__('Heading', 'angle-admin-td'),
                        'desc'        => esc_html__('Heading text of the column', 'angle-admin-td'),
                        'id'          => 'heading',
                        'admin_label' => true,
                        'default'     =>  '',
                        'type'        => 'text',
                    ),
                    array(
                        'name'      => esc_html__('Featured Column', 'angle-admin-td'),
                        'id'        => 'featured',
                        'type'      => 'select',
                        'default'   =>  'false',
                        'options' => array(
                            'false' => esc_html__('Not Featured', 'angle-admin-td'),
                            'true'  => esc_html__('Featured', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show price', 'angle-admin-td'),
                        'id'        => 'show_price',
                        'type'      => 'select',
                        'default'   =>  'true',
                        'options' => array(
                            'true' => esc_html__('Show', 'angle-admin-td'),
                            'false' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Price', 'angle-admin-td'),
                        'desc'    => esc_html__('Price to show at top of the column.', 'angle-admin-td'),
                        'id'      => 'price',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Price Currency', 'angle-admin-td'),
                        'desc'    => esc_html__('Price currency to show next to the price.', 'angle-admin-td'),
                        'id'      => 'currency',
                        'default' =>  '&#36;',
                        'type'    => 'select',
                        'options' => array(
                            '&#36;'   => esc_html__('Dollar', 'angle-admin-td'),
                            '&#128;'  => esc_html__('Euro', 'angle-admin-td'),
                            '&#163;'  => esc_html__('Pound', 'angle-admin-td'),
                            '&#165;'  => esc_html__('Yen', 'angle-admin-td'),
                            'custom' => esc_html__('Custom', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'    => esc_html__('Custom Currency', 'angle-admin-td'),
                        'desc'    => esc_html__('If custom currency selected enter the html code here.', 'angle-admin-td'),
                        'id'      => 'custom_currency',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('After Price Text', 'angle-admin-td'),
                        'desc'    => esc_html__('Text to show after the price.', 'angle-admin-td'),
                        'id'      => 'per',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Item List', 'angle-admin-td'),
                        'desc'    => esc_html__('List of items to put in the column under the price. Divide categories with linebreaks (Enter)', 'angle-admin-td'),
                        'id'      => 'list',
                        'default' =>  '',
                        'type'    => 'exploded_textarea',
                    ),
                    array(
                        'name'      => esc_html__('Show button', 'angle-admin-td'),
                        'id'        => 'show_button',
                        'type'      => 'select',
                        'default'   =>  'true',
                        'options' => array(
                            'true' => esc_html__('Show', 'angle-admin-td'),
                            'false' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Button Text', 'angle-admin-td'),
                        'desc'    => esc_html__('Text to inside the button at the bottom of the column.', 'angle-admin-td'),
                        'id'      => 'button_text',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                    array(
                        'name'    => esc_html__('Button Link', 'angle-admin-td'),
                        'desc'    => esc_html__('Link that the button will point to.', 'angle-admin-td'),
                        'id'      => 'button_link',
                        'default' =>  '',
                        'type'    => 'text',
                    ),
                )
            )
        ),
    ),
    'feature' => array(
        'shortcode'   => 'feature',
        'title'       => esc_html__('Feature', 'angle-admin-td'),
        'desc'        => esc_html__('Displays a shape with an icon alongside some text.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'has_content'   => false,
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'      => esc_html__('Show Icon', 'angle-admin-td'),
                        'id'        => 'show_icon',
                        'type'      => 'select',
                        'default'   =>  'true',
                        'options' => array(
                            'true' => esc_html__('Show', 'angle-admin-td'),
                            'false' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Show / Hide the icon on the left.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'id'      => 'icon',
                        'type'    => 'select',
                        'admin_label' => true,
                        'options' => 'icons',
                        'default' => '',
                        'desc'    => esc_html__('Choose an icon to use in your featured icon', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Icon Shape', 'angle-admin-td'),
                        'desc'    => esc_html__('Set shape used for the icon.', 'angle-admin-td'),
                        'id'      => 'shape',
                        'type'    => 'select',
                        'default' => 'round',
                        'options'    => array(
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'    => esc_html__('Icon Animation', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose an icon animation', 'angle-admin-td'),
                        'id'      => 'animation',
                        'type'    => 'select',
                        'default' => '',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                    array(
                        'name'        => esc_html__('Title', 'angle-admin-td'),
                        'id'          => 'title',
                        'type'        => 'text',
                        'admin_label' => true,
                        'default'     => '',
                        'desc'        => esc_html__('Choose a title for your featured item.', 'angle-admin-td'),
                    ),
                    array(
                        'name'        => esc_html__('Content', 'angle-admin-td'),
                        'id'          => 'content',
                        'type'        => 'textarea',
                        'default'     => '',
                        'desc'        => esc_html__('Content to show below title.', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'slideshow' => array(
        'shortcode'     => 'slideshow',
        'title'         => esc_html__('Slideshow', 'angle-admin-td'),
        'desc'          => esc_html__('Adds a Flexslider slideshow to the page.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Slideshow', 'angle-admin-td'),
                'javascripts' => array(
                    array(
                        'handle' => 'header_options_script',
                        'src'    => OXY_THEME_URI . 'inc/options/javascripts/dialogs/slider-options.js',
                        'deps'   => array( 'jquery'),
                        'localize' => array(
                            'object_handle' => 'theme',
                            'data'          => THEME_SHORT
                        ),
                    ),
                ),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Choose a Flexslider', 'angle-admin-td'),
                        'desc'    => esc_html__('Populate your slider with one of the slideshows you created', 'angle-admin-td'),
                        'id'      => 'flexslider',
                        'default' =>  '',
                        'type'    => 'select',
                        'options' => 'slideshow',
                    ),
                    array(
                        'name'      =>  esc_html__('Animation style', 'angle-admin-td'),
                        'desc'      =>  esc_html__('Select how your slider animates', 'angle-admin-td'),
                        'id'        => 'animation',
                        'type'      => 'select',
                        'options'   =>  array(
                            'slide' => esc_html__('Slide', 'angle-admin-td'),
                            'fade'  => esc_html__('Fade', 'angle-admin-td'),
                        ),
                        'default'   => 'slide',
                    ),
                    array(
                        'name'      => esc_html__('Direction', 'angle-admin-td'),
                        'desc'      =>  esc_html__('Select the direction your slider slides', 'angle-admin-td'),
                        'id'        => 'direction',
                        'type'      => 'select',
                        'default'   =>  'horizontal',
                        'options' => array(
                            'horizontal' => esc_html__('Horizontal', 'angle-admin-td'),
                            'vertical'   => esc_html__('Vertical', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Speed', 'angle-admin-td'),
                        'desc'      => esc_html__('Set the speed of the slideshow cycling, in milliseconds', 'angle-admin-td'),
                        'id'        => 'speed',
                        'type'      => 'slider',
                        'default'   => '7000',
                        'attr'      => array(
                            'max'       => 15000,
                            'min'       => 2000,
                            'step'      => 1000
                        )
                    ),
                    array(
                        'name'      => esc_html__('Duration', 'angle-admin-td'),
                        'desc'      => esc_html__('Set the speed of animations', 'angle-admin-td'),
                        'id'        => 'duration',
                        'type'      => 'slider',
                        'default'   => '600',
                        'attr'      => array(
                            'max'       => 1500,
                            'min'       => 200,
                            'step'      => 100
                        )
                    ),
                    array(
                        'name'      => esc_html__('Auto start', 'angle-admin-td'),
                        'id'        => 'autostart',
                        'type'      => 'select',
                        'default'   =>  'true',
                        'desc'    => esc_html__('Start slideshow automatically', 'angle-admin-td'),
                        'options' => array(
                            'true'  => esc_html__('On', 'angle-admin-td'),
                            'false' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show navigation arrows', 'angle-admin-td'),
                        'id'        => 'directionnav',
                        'type'      => 'select',
                        'default'   =>  'hide',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Navigation arrows type', 'angle-admin-td'),
                        'id'        => 'directionnavtype',
                        'type'      => 'select',
                        'default'   =>  'simple',
                        'options' => array(
                            'simple' => esc_html__('Simple', 'angle-admin-td'),
                            'fancy'  => esc_html__('Fancy', 'angle-admin-td'),
                        ),
                    ),
                     array(
                        'name'      => esc_html__('Item width', 'angle-admin-td'),
                        'desc'      => esc_html__('Set width of the slider items( leave blank for full )', 'angle-admin-td'),
                        'id'        => 'itemwidth',
                        'type'      => 'text',
                        'default'   => '',
                        'attr'      =>  array(
                            'size'    => 8,
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show controls', 'angle-admin-td'),
                        'id'        => 'showcontrols',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Choose the place of the controls', 'angle-admin-td'),
                        'id'        => 'controlsposition',
                        'type'      => 'select',
                        'default'   =>  'inside',
                        'options' => array(
                            'inside'    => esc_html__('Inside', 'angle-admin-td'),
                            'outside'   => esc_html__('Outside', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      =>  esc_html__('Choose the alignment of the controls', 'angle-admin-td'),
                        'id'        => 'controlsalign',
                        'type'      => 'select',
                        'options'   =>  array(
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                        ),
                        'default'   => 'center',
                    ),
                    array(
                        'name'      => esc_html__('Reverse', 'angle-admin-td'),
                        'id'        => 'reverse',
                        'type'      => 'radio',
                        'default'   =>  'false',
                        'desc'    => esc_html__('Reverse the animation direction', 'angle-admin-td'),
                        'options' => array(
                            'false' => esc_html__('Off', 'angle-admin-td'),
                            'true'  => esc_html__('On', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Animation Loop', 'angle-admin-td'),
                        'id'        => 'animationloop',
                        'type'      => 'radio',
                        'default'   =>  'true',
                        'desc'    => esc_html__('Gives the slider a seamless infinite loop', 'angle-admin-td'),
                        'options' => array(
                            'true'  => esc_html__('On', 'angle-admin-td'),
                            'false' => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                )
            ),
            array(
                'title' => esc_html__('Captions', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Show Captions', 'angle-admin-td'),
                        'id'        => 'captions',
                        'type'      => 'select',
                        'default'   =>  'show',
                        'options' => array(
                            'show' => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Captions Vertical Position', 'angle-admin-td'),
                        'id'        => 'captions_vertical',
                        'type'      => 'select',
                        'default'   =>  'bottom',
                        'options' => array(
                            'top'    => esc_html__('Top', 'angle-admin-td'),
                            'bottom' => esc_html__('Bottom', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Captions Horizontal Position', 'angle-admin-td'),
                        'desc'      => esc_html__('Choose among left, right and alternate positioning', 'angle-admin-td'),
                        'id'        => 'captions_horizontal',
                        'type'      => 'select',
                        'default'   =>  'left',
                        'options' => array(
                            'left'      => esc_html__('Left', 'angle-admin-td'),
                            'right'     => esc_html__('Right', 'angle-admin-td'),
                            'alternate' => esc_html__('Alternate', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Show Tooltip', 'angle-admin-td'),
                        'id'        => 'tooltip',
                        'type'      => 'select',
                        'default'   =>  'hide',
                        'desc'    => esc_html__('Show tooltip', 'angle-admin-td'),
                        'options' => array(
                            'show'  => esc_html__('Show', 'angle-admin-td'),
                            'hide'  => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                )
            ),
        )
    ),
    'image' => array(
        'shortcode'     => 'image',
        'title'         => esc_html__('Image', 'angle-admin-td'),
        'desc'          => esc_html__('Displays an image.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Image', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Image Source', 'angle-admin-td'),
                        'id'      => 'images',
                        'type'    => 'upload',
                        'store'   => 'id',
                        'default' => '',
                        'desc'    => esc_html__('Place the source path of the image here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Image size', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the size that the image will have', 'angle-admin-td'),
                        'id'      => 'size',
                        'admin_label' => true,
                        'type'    => 'select',
                        'default' => 'medium',
                        'options' => array(
                            'thumbnail' => esc_html__('Thumbnail', 'angle-admin-td'),
                            'medium'    => esc_html__('Medium', 'angle-admin-td'),
                            'large'     => esc_html__('Large', 'angle-admin-td'),
                            'full'      => esc_html__('Full', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Align', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'none',
                        'options' => array(
                            'none'       => esc_html__('None', 'angle-admin-td'),
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the image.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Image Alt', 'angle-admin-td'),
                        'id'      => 'alt',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Place the alt of the image here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Link', 'angle-admin-td'),
                        'id'      => 'link',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Place a link here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Open Link In', 'angle-admin-td'),
                        'id'      => 'link_target',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Where the link will open.', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'shapedimage' => array(
        'shortcode'     => 'shapedimage',
        'title'         => esc_html__('Shaped Image', 'angle-admin-td'),
        'desc'          => esc_html__('Displays an image that is clipped to a shape.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Image', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Image Source', 'angle-admin-td'),
                        'id'      => 'images',
                        'type'    => 'upload',
                        'store'   => 'id',
                        'admin_label' => true,
                        'default' => '',
                        'desc'    => esc_html__('Place the source path of the image here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Image size', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the size that the image will have', 'angle-admin-td'),
                        'id'      => 'shape_size',
                        'type'    => 'select',
                        'default' => 'medium',
                        'options' => array(
                            'small'  => esc_html__('Small', 'angle-admin-td'),
                            'medium' => esc_html__('Medium', 'angle-admin-td'),
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'big'    => esc_html__('Big', 'angle-admin-td'),
                            'huge'   => esc_html__('Huge', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Shape', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose if the image will be roundrd or not', 'angle-admin-td'),
                        'id'      => 'shape',
                        'type'    => 'select',
                        'default' => 'round',
                        'options'    => array(
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'id'        => 'shape_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                            'show' => esc_html__('Show', 'angle-admin-td'),
                        ),
                        'default'   => 'show'
                    ),
                    array(
                        'name'      => esc_html__('Align', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'none',
                        'options' => array(
                            'none'   => esc_html__('None', 'angle-admin-td'),
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the image.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Hover Animation', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose a hover animation', 'angle-admin-td'),
                        'id'      => 'animation',
                        'type'    => 'select',
                        'default' => 'none',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                    array(
                        'name'    => esc_html__('Open In Magnific Popup', 'angle-admin-td'),
                        'desc'    => esc_html__('Open the original image in magnific on click (overrides link option)', 'angle-admin-td'),
                        'id'      => 'magnific',
                        'type'    => 'select',
                        'default' => 'off',
                        'options' => array(
                            'on'    => esc_html__('On', 'angle-admin-td'),
                            'off'   => esc_html__('Off', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Image Alt', 'angle-admin-td'),
                        'id'      => 'alt',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Place the alt of the image here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Link', 'angle-admin-td'),
                        'id'      => 'link',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Place a link here', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Open Links In', 'angle-admin-td'),
                        'id'      => 'link_target',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Where the link will open.', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'featuredicon' => array(
        'shortcode'     => 'featuredicon',
        'title'         => esc_html__('Featured Icon', 'angle-admin-td'),
        'desc'          => esc_html__('Creates a shape with an icon in the middle.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Icon', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'id'      => 'icon',
                        'type'    => 'select',
                        'options' => 'icons',
                        'default' => 'glass',
                        'desc'    => esc_html__('Choose an icon to use in your featured icon', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Featured Icon Size', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose the size that the image will have', 'angle-admin-td'),
                        'id'      => 'shape_size',
                        'type'    => 'select',
                        'default' => 'medium',
                        'options' => array(
                            'small'  => esc_html__('Small', 'angle-admin-td'),
                            'medium' => esc_html__('Medium', 'angle-admin-td'),
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'big'    => esc_html__('Big', 'angle-admin-td'),
                            'huge'   => esc_html__('Huge', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'        => esc_html__('Shape', 'angle-admin-td'),
                        'desc'        => esc_html__('Choose if the image will be roundrd or not', 'angle-admin-td'),
                        'id'          => 'shape',
                        'type'        => 'select',
                        'default'     => 'round',
                        'admin_label' => true,
                        'options'     => array(
                            'rect'   => esc_html__('Rectangle', 'angle-admin-td'),
                            'square' => esc_html__('Square', 'angle-admin-td'),
                            'round'  => esc_html__('Circle', 'angle-admin-td'),
                            'hex'    => esc_html__('Hexagon', 'angle-admin-td'),
                        )
                    ),
                    array(
                        'name'    => esc_html__('Icon Animation', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose an icon animation', 'angle-admin-td'),
                        'id'      => 'animation',
                        'type'    => 'select',
                        'default' => '',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                    array(
                        'name'      =>  esc_html__('Shadow', 'angle-admin-td'),
                        'desc'    => esc_html__('Shows a shadow below the shape.', 'angle-admin-td'),
                        'id'        => 'shape_shadow',
                        'type'      => 'select',
                        'options'   =>  array(
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                            'show' => esc_html__('Show', 'angle-admin-td'),
                        ),
                        'default'   => 'show'
                    ),
                )
            )
        )
    ),
    'icon' => array(
        'shortcode'   => 'icon',
        'title'       => esc_html__('Icon', 'angle-admin-td'),
        'desc'        => esc_html__('Displays a Font Awesome icon.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'General',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Font Size', 'angle-admin-td'),
                        'desc'    => esc_html__('Size of font to use for icon ( set to 0 to inhertit font size from container )', 'angle-admin-td'),
                        'id'      => 'size',
                        'type'    => 'slider',
                        'default' => '16',
                        'attr'    => array(
                            'max'  => 48,
                            'min'  => 0,
                            'step' => 1
                        )
                    ),
                )
            ),
            array(
                'title'   => 'Icon',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of button to display', 'angle-admin-td'),
                        'id'      => 'content',
                        'type'    => 'select',
                        'options' => 'icons',
                        'default' => 'glass',
                        'admin_label' => true
                    )
                ),
            ),
        ),
    ),
    'button' =>  array(
        'shortcode'   => 'button',
        'title'       => esc_html__('Button', 'angle-admin-td'),
        'desc'        => esc_html__('Adds a Bootstrap button to the page.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'General',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Button type', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of button to display', 'angle-admin-td'),
                        'id'      => 'type',
                        'type'    => 'select',
                        'default' => 'default',
                        'options' => array(
                            'default' => esc_html__('Default', 'angle-admin-td'),
                            'primary' => esc_html__('Primary', 'angle-admin-td'),
                            'info'    => esc_html__('Info', 'angle-admin-td'),
                            'success' => esc_html__('Success', 'angle-admin-td'),
                            'warning' => esc_html__('Warning', 'angle-admin-td'),
                            'danger'  => esc_html__('Danger', 'angle-admin-td'),
                            'link'    => esc_html__('Link', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Button size', 'angle-admin-td'),
                        'desc'    => esc_html__('Size of button to display', 'angle-admin-td'),
                        'id'      => 'size',
                        'type'    => 'select',
                        'default' => 'normal',
                        'options' => array(
                            'normal' => esc_html__('Default', 'angle-admin-td'),
                            'lg'      => esc_html__('Large', 'angle-admin-td'),
                            'sm'      => esc_html__('Small', 'angle-admin-td'),
                            'xs'      => esc_html__('Mini', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Text', 'angle-admin-td'),
                        'id'      => 'title',
                        'holder'  => 'button',
                        'type'    => 'text',
                        'default' => esc_html__('My button', 'angle-admin-td'),
                        'desc'    => esc_html__('Add a label to the button', 'angle-admin-td'),
                    ),
                    array(
                        'name'        => esc_html__('Open Modal', 'angle-admin-td'),
                        'desc'        => esc_html__('Select the modal to open on click(overrides the link option)', 'angle-admin-td'),
                        'id'          => 'modal',
                        'type'        => 'select',
                        'default'     => '',
                        'blank'       => esc_html__('None', 'angle-admin-td'),
                        'options'     => 'custom_post_id',
                        'post_type'   => 'oxy_modal',
                    ),
                    array(
                        'name'    => esc_html__('Link', 'angle-admin-td'),
                        'id'      => 'link',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Where the button links to', 'angle-admin-td'),
                    ),
                )
            ),
            array(
                'title'   => 'Advanced',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Extra classes', 'angle-admin-td'),
                        'id'      => 'xclass',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Add an extra class to the button', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Open Link In', 'angle-admin-td'),
                        'id'      => 'link_open',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                            '_parent' => esc_html__('Open the linked document in the parent frameset', 'angle-admin-td'),
                            '_top'    => esc_html__('Open the linked document in the full body of the window', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Where the button link opens to', 'angle-admin-td'),
                    ),
                )
            ),
            array(
                'title'   => 'Icon',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Show Icon', 'angle-admin-td'),
                        'desc'    => esc_html__('Use an icon in this button', 'angle-admin-td'),
                        'id'      => 'show_icon',
                        'type'    => 'select',
                        'default' => 'no-icon',
                        'options' => array(
                            'no-icon' => esc_html__('No Icon', 'angle-admin-td'),
                            'left'    => esc_html__('On Left', 'angle-admin-td'),
                            'right'   => esc_html__('On Right', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of button to display', 'angle-admin-td'),
                        'id'      => 'icon',
                        'type'    => 'select',
                        'options' => 'icons',
                        'default' => ''
                    )
                ),
            ),
        ),
    ),
    'fancybutton' =>  array(
        'shortcode'   => 'fancybutton',
        'title'       => esc_html__('Fancy Button', 'angle-admin-td'),
        'desc'        => esc_html__('Creates a fancy call to action button with an icon.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'General',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Button type', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of button to display', 'angle-admin-td'),
                        'id'      => 'type',
                        'type'    => 'select',
                        'default' => 'default',
                        'admin_label' => true,
                        'options' => array(
                            'default' => esc_html__('Default', 'angle-admin-td'),
                            'primary' => esc_html__('Primary', 'angle-admin-td'),
                            'info'    => esc_html__('Info', 'angle-admin-td'),
                            'success' => esc_html__('Success', 'angle-admin-td'),
                            'warning' => esc_html__('Warning', 'angle-admin-td'),
                            'danger'  => esc_html__('Danger', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Button size', 'angle-admin-td'),
                        'desc'    => esc_html__('Size of button to display', 'angle-admin-td'),
                        'id'      => 'size',
                        'type'    => 'select',
                        'default' => 'normal',
                        'options' => array(
                            'normal'      => esc_html__('Default', 'angle-admin-td'),
                            'lg' => esc_html__('Large', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'      => esc_html__('Button Alignment', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'center',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                        ),
                        'desc'    => esc_html__('Align the button.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Text', 'angle-admin-td'),
                        'id'      => 'label',
                        'type'    => 'text',
                        'admin_label' => true,
                        'default' => esc_html__('My button', 'angle-admin-td'),
                        'desc'    => esc_html__('Add a label to the button', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Link', 'angle-admin-td'),
                        'id'      => 'link',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Where the button links to', 'angle-admin-td'),
                    ),
                )
            ),
            array(
                'title'   => 'Advanced',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Extra classes', 'angle-admin-td'),
                        'id'      => 'xclass',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Add an extra class to the button', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Open Link In', 'angle-admin-td'),
                        'id'      => 'link_open',
                        'type'    => 'select',
                        'default' => '_self',
                        'options' => array(
                            '_self'   => esc_html__('Same page as it was clicked ', 'angle-admin-td'),
                            '_blank'  => esc_html__('Open in new window/tab', 'angle-admin-td'),
                            '_parent' => esc_html__('Open the linked document in the parent frameset', 'angle-admin-td'),
                            '_top'    => esc_html__('Open the linked document in the full body of the window', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Where the button link opens to', 'angle-admin-td'),
                    ),
                )
            ),
            array(
                'title'   => 'Icon',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Icon Position', 'angle-admin-td'),
                        'desc'    => esc_html__('Which side of the button to show the icon.', 'angle-admin-td'),
                        'id'      => 'icon_position',
                        'type'    => 'select',
                        'default' => 'left',
                        'options' => array(
                            'left'  => esc_html__('Left', 'angle-admin-td'),
                            'right' => esc_html__('Right', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Icon Animation', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose an icon animation', 'angle-admin-td'),
                        'id'      => 'animation',
                        'type'    => 'select',
                        'default' => 'none',
                        'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-button-animations.php'
                    ),
                    array(
                        'name'    => esc_html__('Icon', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of button to display', 'angle-admin-td'),
                        'id'      => 'icon',
                        'admin_label' => true,
                        'type'    => 'select',
                        'options' => 'icons',
                        'default' => ''
                    )
                ),
            ),
        ),
    ),
    'vc_message' => array(
        'shortcode'   => 'vc_message',
        'title'       => esc_html__('Alert', 'angle-admin-td'),
        'desc'          => esc_html__('Creates a Bootstrap Alert box.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => esc_html__('General', 'angle-admin-td'),
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Alert type', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of alert to display', 'angle-admin-td'),
                        'id'      => 'color',
                        'type'    => 'select',
                        'default' => 'alert-success',
                        'options' => array(
                            'alert-success' => esc_html__('Success', 'angle-admin-td'),
                            'alert-info'    => esc_html__('Information', 'angle-admin-td'),
                            'alert-warning' => esc_html__('Warning', 'angle-admin-td'),
                            'alert-danger'  => esc_html__('Danger', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Title', 'angle-admin-td'),
                        'id'      => 'title',
                        'type'    => 'text',
                        'holder'  => 'h2',
                        'default' => esc_html__('Watch Out!', 'angle-admin-td'),
                        'desc'    => esc_html__('The bold text that appears first in the alert', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Main Text', 'angle-admin-td'),
                        'id'      => 'content',
                        'type'    => 'text',
                        'holder'  => 'div',
                        'default' => esc_html__('Change a few things up and try submitting again.', 'angle-admin-td'),
                        'desc'    => esc_html__('Main text that will appear in the alert box', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Dismissable', 'angle-admin-td'),
                        'id'      => 'dismissable',
                        'type'    => 'select',
                        'default' => 'false',
                        'desc'    => esc_html__('Defines if the alert can be removed using an x in the corner.', 'angle-admin-td'),
                        'options' => array(
                            'true'  => esc_html__('Closable', 'angle-admin-td'),
                            'false' => esc_html__('Not Closable', 'angle-admin-td'),
                        ),
                    )
                )
            ),
        ),
    ),
    'panel' => array(
        'shortcode' => 'panel',
        'title'     => esc_html__('Panel', 'angle-admin-td'),
        'desc'      => esc_html__('Creates a Bootstrap Panel with a title and some content.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => esc_html__('General', 'angle-admin-td'),
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Title', 'angle-admin-td'),
                        'id'      => 'title',
                        'type'    => 'text',
                        'holder'  => 'h3',
                        'default' => '',
                        'desc'    => esc_html__('The title of the panel.', 'angle-admin-td'),
                    ),
                )
            )
        ),

    ),
    'progress' =>    array(
        'shortcode'   => 'progress',
        'title'       => esc_html__('Progress Bar', 'angle-admin-td'),
        'desc'        => esc_html__('Creates a Bootstrap progress bar with a % value.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Percentage', 'angle-admin-td'),
                        'desc'    => esc_html__('Percentage of the progress bar', 'angle-admin-td'),
                        'id'      => 'percentage',
                        'type'    => 'slider',
                        'default' => '50',
                        'attr'    => array(
                            'max'  => 100,
                            'min'  => 1,
                            'step' => 1
                        )
                    ),
                    array(
                        'name'    => esc_html__('Bar Type', 'angle-admin-td'),
                        'desc'    => esc_html__('Type of bar to display', 'angle-admin-td'),
                        'id'      => 'type',
                        'type'    => 'select',
                        'default' => 'progress',
                        'options' => array(
                            'progress'                        => esc_html__('Normal', 'angle-admin-td'),
                            'progress progress-striped'       => esc_html__('Striped', 'angle-admin-td'),
                            'progress progress-striped active'=> esc_html__('Animated', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Bar Style', 'angle-admin-td'),
                        'desc'    => esc_html__('Style of bar to display', 'angle-admin-td'),
                        'id'      => 'style',
                        'type'    => 'select',
                        'default' => 'progress-bar-info',
                        'options' => array(
                            'progress-bar-primary'  => esc_html__('primary', 'angle-admin-td'),
                            'progress-bar-info'     => esc_html__('Info', 'angle-admin-td'),
                            'progress-bar-success'  => esc_html__('Success', 'angle-admin-td'),
                            'progress-bar-warning'  => esc_html__('Warning', 'angle-admin-td'),
                            'progress-bar-danger'   => esc_html__('Danger', 'angle-admin-td'),
                        ),
                    ),


                )
            ),
        ),
    ),
    'lead' => array(
        'shortcode'   => 'lead',
        'title'       => esc_html__('Lead Paragraph', 'angle-admin-td'),
        'desc'        => esc_html__('Adds a lead paragraph, with slightly larger and bolder text.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'      => esc_html__('Text Alignment', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'center',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'center' => esc_html__('Center', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the lead text.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Lead Text', 'angle-admin-td'),
                        'holder'    => 'p',
                        'id'        => 'content',
                        'type'      => 'textarea',
                        'default'   => '',
                        'desc'    => esc_html__('Text to show in the lead text paragraph.', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'blockquote' => array(
        'shortcode'   => 'blockquote',
        'title'       => esc_html__('Blockquote', 'angle-admin-td'),
        'desc'        => esc_html__('Creates a quotation.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'      => esc_html__('Text Alignment', 'angle-admin-td'),
                        'id'        => 'align',
                        'type'      => 'select',
                        'default'   => 'left',
                        'options' => array(
                            'left'   => esc_html__('Left', 'angle-admin-td'),
                            'right'  => esc_html__('Right', 'angle-admin-td'),
                            'justify'  => esc_html__('Justify', 'angle-admin-td')
                        ),
                        'desc'    => esc_html__('Sets the text alignment of the lead text.', 'angle-admin-td'),
                    ),
                    array(
                        'name'      => esc_html__('Quote Text', 'angle-admin-td'),
                        'holder'    => 'p',
                        'id'        => 'content',
                        'type'      => 'textarea',
                        'default'   => '',
                        'desc'    => esc_html__('Text to show in the quote.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Who?', 'angle-admin-td'),
                        'id'      => 'who',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Who said the quote.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Citation', 'angle-admin-td'),
                        'id'      => 'cite',
                        'type'    => 'text',
                        'default' => '',
                        'desc'    => esc_html__('Citation of the quote (i.e the source).', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'code' => array(
        'shortcode'   => 'code',
        'title'       => esc_html__('Code', 'angle-admin-td'),
        'desc'        => esc_html__('For use adding source code to a page.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'      => esc_html__('Source Code', 'angle-admin-td'),
                        'holder'    => 'p',
                        'id'        => 'content',
                        'type'      => 'textarea',
                        'default'   => '',
                        'desc'    => esc_html__('Source code to display.', 'angle-admin-td'),
                    ),
                )
            )
        )
    ),
    'countdown' => array(
        'shortcode'   => 'countdown',
        'title'       => esc_html__('Countdown Timer', 'angle-admin-td'),
        'desc'        => esc_html__('Adds a countdown timer for coming soon pages.', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'      => esc_html__('Countdown Date', 'angle-admin-td'),
                        'id'        => 'date',
                        'type'      => 'text',
                        'default'   => '',
                        'admin_label' => true,
                        'desc'    => esc_html__('Date to countdown to in the format YYYY/MM/DD HH:MM.', 'angle-admin-td'),
                    ),
                    array(
                        'name'    => esc_html__('Number Font Size', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose size of the font to use for the countdown numbers.', 'angle-admin-td'),
                        'id'      => 'number_size',
                        'type'    => 'select',
                        'options' => array(
                            'normal' => esc_html__('Normal', 'angle-admin-td'),
                            'super'  => esc_html__('Super (60px)', 'angle-admin-td'),
                            'hyper'  => esc_html__('Hyper (96px)', 'angle-admin-td'),
                        ),
                        'default' => 'normal',
                    ),
                    array(
                        'name'    => esc_html__('Number Font Weight', 'angle-admin-td'),
                        'desc'    => esc_html__('Choose weight of the font of the countdown numbers.', 'angle-admin-td'),
                        'id'      => 'number_weight',
                        'type'    => 'select',
                        'options' => array(
                            'regular'  => esc_html__('Regular', 'angle-admin-td'),
                            'black'    => esc_html__('Black', 'angle-admin-td'),
                            'bold'     => esc_html__('Bold', 'angle-admin-td'),
                            'light'    => esc_html__('Light', 'angle-admin-td'),
                            'hairline' => esc_html__('Hairline', 'angle-admin-td'),
                        ),
                        'default' => 'regular',
                    ),
                    array(
                        'name'    => esc_html__('Number Underline', 'angle-admin-td'),
                        'desc'    => esc_html__('Adds an underline effect below the countdown numbers.', 'angle-admin-td'),
                        'id'      => 'number_underline',
                        'default' => 'no-underline',
                        'type' => 'select',
                        'options' => array(
                            'underline'    => esc_html__('Show', 'angle-admin-td'),
                            'no-underline' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                )
            )
        )
    ),
    'sharing' => array(
        'shortcode'   => 'sharing',
        'title'       => esc_html__('Social Sharing Icons', 'angle-admin-td'),
        'desc'        => esc_html__('Adds Social Sharing icons to your pages', 'angle-admin-td'),
        'insert_with' => 'dialog',
        'sections'    => array(
            array(
                'title'   => 'general',
                'fields'  => array(
                    array(
                        'name'    => esc_html__('Show Facebook', 'angle-admin-td'),
                        'desc'    => esc_html__('Show Facebook share icon', 'angle-admin-td'),
                        'id'      => 'fb_show',
                        'default' => 'show',
                        'type' => 'select',
                        'options' => array(
                            'show'    => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Show Twitter', 'angle-admin-td'),
                        'desc'    => esc_html__('Show Twitter share icon', 'angle-admin-td'),
                        'id'      => 'twitter_show',
                        'default' => 'show',
                        'type' => 'select',
                        'options' => array(
                            'show'    => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Show Google+', 'angle-admin-td'),
                        'desc'    => esc_html__('Show Google+ share icon', 'angle-admin-td'),
                        'id'      => 'google_show',
                        'default' => 'show',
                        'type' => 'select',
                        'options' => array(
                            'show'    => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Show Pinterest', 'angle-admin-td'),
                        'desc'    => esc_html__('Show Pinterest share icon', 'angle-admin-td'),
                        'id'      => 'pinterest_show',
                        'default' => 'show',
                        'type' => 'select',
                        'options' => array(
                            'show'    => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                    array(
                        'name'    => esc_html__('Show LinkedIn', 'angle-admin-td'),
                        'desc'    => esc_html__('Show LinkedIn share icon', 'angle-admin-td'),
                        'id'      => 'linkedin_show',
                        'default' => 'show',
                        'type' => 'select',
                        'options' => array(
                            'show'    => esc_html__('Show', 'angle-admin-td'),
                            'hide' => esc_html__('Hide', 'angle-admin-td'),
                        ),
                    ),
                )
            )
        )
    ),
    'vc_video' => array(
        'shortcode'     => 'vc_video',
        'title'         => esc_html__('Video Player', 'angle-admin-td'),
        'desc'          => esc_html__('Adds a video player.', 'angle-admin-td'),
        'insert_with'   => 'dialog',
        'has_content'   => false,
        'sections'      => array(
            array(
                'title' => esc_html__('Video Options', 'angle-admin-td'),
                'fields' => array(
                    array(
                        'name'      => esc_html__('Video URL', 'angle-admin-td'),
                        'id'        => 'link',
                        'type'      => 'text',
                        'default'   =>  '',
                    ),
                )
            )
        )
    ),
);
